program FactuGES;

uses
  Forms,
  Windows,
  SysUtils,
  uActualizacion,
  uPantallaPrincipal in 'uPantallaPrincipal.pas' {fPantallaPrincipal},
  uMenuUtils in 'Utiles\uMenuUtils.pas',
  uSplash in 'uSplash.pas' {SplashScreen},
  uAcercaDe in 'uAcercaDe.pas',
  uNavPaneController in 'uNavPaneController.pas',
  uNavPaneUtils in 'Utiles\uNavPaneUtils.pas',
  uMainMenuController in 'uMainMenuController.pas',
  uClienteUtils in 'Utiles\uClienteUtils.pas';



{$R *.res}

var
  Version : String;

begin
  Application.Initialize;
  Application.Title := 'FactuGES';

  fActualizacion := TfActualizacion.Create(Application);
  try
    if fActualizacion.HayConfiguracion then
      fActualizacion.Actualizar;
    Version := fActualizacion.DarVersion;
  finally
    FreeAndNIL(fActualizacion);
  end;

  Application.CreateForm(TfPantallaPrincipal, fPantallaPrincipal);
  Application.Run;
  Application.Terminate;
end.

